Create processing account
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
Headers
Request
Collection of individuals that are responsible for a processing account. When you create a processing account, you must indicate at least one owner as either of the following:
- Control prong - An individual who has a significant equity stake in the business and can make decisions for the processing account. You can add only one control prong to a processing account.
- Authorized signatory - An individual who doesn’t have an equity stake in the business but can make decisions for the processing account.
Merchant Category Code (MCC) for the type of business.
Date that the business was established. The format of the value is YYYY-MM-DD.
Array of polymorphic objects, which contain contact information.
Note: You must provide an email address.
The value of the type parameter determines which variant you should use:
email- Email addressphone- Phone numbermobile- Mobile numberfax- Fax number.
Polymorphic object that contains pricing information for the processing account.
The value of the type parameter determines which variant you should use:
intent- Use a pricing agreement template.agreement- Create a new pricing agreement.
Polymorphic object that contains information about how we captured the owner’s signature.
The value of the type parameter determines which variant you should use:
requestedViaDirectLink- Request signature using a link.requestedViaEmail- Request signature by email.
Object that you can send to include custom data in the request. For more information about how to use metadata, go to Metadata.
Response headers
Response
Merchant Category Code (MCC) for the type of business.
Array of polymorphic objects, which contain contact information.
Note: You must provide an email address.
The value of the type parameter determines which variant you should use:
email- Email addressphone- Phone numbermobile- Mobile numberfax- Fax number
Polymorphic object that contains information about how we captured the owner’s signature.
The value of the type parameter determines which variant you should use:
requestedViaDirectLink- Request signature using a link.requestedViaEmail- Request signature by email.
Status of the processing account.
entered- We have received information about the account, but we have not yet reviewed it.pending- We have reviewed the information about the account, but we have not yet approved it.approved- We have approved the account for processing transactions and funding.subjectTo- We have approved the account, but we are waiting on further information.dormant- Account is closed for a period.nonProcessing- We have approved the account, but the merchant has not yet run a transaction.rejected- We rejected the application for the processing account.terminated- Processing account is closed.cancelled- Merchant withdrew the application for the processing account.
Note: You can subscribe to our processingAccount.status.changed event to get notifications when we change the status of a processing account. For more information about how to subscribe to events, go to Event Subscriptions.
Date that the business was established. The format of the value is YYYY-MM-DD.
Object that you can send to include custom data in the request. For more information about how to use metadata, go to Metadata.